import hashlib, sys, time


if __name__ == '__main__':
    if len(sys.argv) != 2:
        print('...没有文件路径参数.')
        time.sleep(1)
        sys.exit(1)
    file_path = sys.argv[1]
    md5_hash = hashlib.md5()
    file_data = open(file=file_path, mode='rb').read()
    md5_hash.update(file_data)
    
    sha1_hash = hashlib.sha1()
    sha1_hash.update(file_data)
    
    sha256_hash = hashlib.sha256()
    sha256_hash.update(file_data)
    
    print('...md5     hash:', md5_hash.digest().hex())
    print('...sha1    hash:', sha1_hash.digest().hex())
    print('...sha256  hash:', sha256_hash.digest().hex())
    
    print('...10s后自动关闭.')
    time.sleep(10)